Page MenuHomePhabricator

cloudvps: cloudcontrol support for mitaka/stretch
Closed, ResolvedPublic

Description

Add support for running cloudcontrol servers in the mitaka/stretch combination.

  • keystone
  • glance
  • nova
  • neutron server
  • other stuff
  • extra packages (T215605)

Event Timeline

aborrero created this task.Feb 6 2019, 12:23 PM
aborrero triaged this task as Normal priority.
aborrero moved this task from Inbox to Doing on the cloud-services-team (Kanban) board.

Mentioned in SAL (#wikimedia-cloud) [2019-02-06T12:28:10Z] <arturo> T215407 cleanup unused VMs used for neutron stretch upgrades, and create new ones for cloudcontrol update tests

This a skeleton of the required hiera config to try using the control role in a VM in cloudvps:

profile::openstack::base::designate::wmflabsdotorg_admin: asd
profile::openstack::base::designate::wmflabsdotorg_pass: asd
profile::openstack::base::designate::wmflabsdotorg_project: asd
profile::openstack::base::designate_host: asd
profile::openstack::base::designate_host_standby: asd
profile::openstack::base::keystone::admin_workers: 1
profile::openstack::base::keystone::auth_port: 443
profile::openstack::base::keystone::auth_protocol: asd
profile::openstack::base::keystone::daemon_active: False
profile::openstack::base::keystone::db_host: asd
profile::openstack::base::keystone::db_max_pool_size: 1
profile::openstack::base::keystone::db_name: asd
profile::openstack::base::keystone::db_pass: asd
profile::openstack::base::keystone::db_user: asd
profile::openstack::base::keystone::public_port: asd
profile::openstack::base::keystone::public_workers: 1
profile::openstack::base::keystone::token_driver: redis
profile::openstack::base::keystone::wiki_access_secret: asd
profile::openstack::base::keystone::wiki_access_token: asd
profile::openstack::base::keystone::wiki_consumer_secret: asd
profile::openstack::base::keystone::wiki_consumer_token: asd
profile::openstack::base::keystone::wiki_status_access_secret: asd
profile::openstack::base::keystone::wiki_status_access_token: asd
profile::openstack::base::keystone::wiki_status_consumer_secret: asd
profile::openstack::base::keystone::wiki_status_consumer_token: asd
profile::openstack::base::keystone::wiki_status_page_prefix: asd
profile::openstack::base::keystone_host: asd
profile::openstack::base::labs_hosts_range: asd
profile::openstack::base::labweb_hosts: asd
profile::openstack::base::ldap_base_dn: asd
profile::openstack::base::ldap_hosts:
- ldap-labs.eqiad.wikimedia.org
- ldap-labs.codfw.wikimedia.org
profile::openstack::base::ldap_proxyuser_pass: Eche0ieng8UaNoo
profile::openstack::base::ldap_user_dn: asd
profile::openstack::base::ldap_user_id_attribute: asd
profile::openstack::base::ldap_user_name_attribute: asd
profile::openstack::base::ldap_user_pass: asd
profile::openstack::base::monitoring_host: labmon1001.eqiad.wmnet
profile::openstack::base::neutron::rabbit_user: neutronuser
profile::openstack::base::nova::db_pass: asd
profile::openstack::base::nova::rabbit_pass: user
profile::openstack::base::nova::rabbit_user: novauser
profile::openstack::base::nova_api_host: asd
profile::openstack::base::nova_controller: asd
profile::openstack::base::nova_controller_standby: asd
profile::openstack::base::observer_project: observer
profile::openstack::base::observer_user: novaobserver
profile::openstack::base::osm_host: asd
profile::openstack::base::region: asd
profile::openstack::base::second_region_designate_host: asd
profile::openstack::base::second_region_designate_host_standby: asd
profile::openstack::base::version: asd
profile::openstack::eqiad1::all_regions:
- eqiad
- eqiad1-r
profile::openstack::eqiad1::designate::wmflabsdotorg_admin: asd
profile::openstack::eqiad1::designate::wmflabsdotorg_pass: asd
profile::openstack::eqiad1::designate::wmflabsdotorg_project: asd
profile::openstack::eqiad1::designate_host: asd
profile::openstack::eqiad1::designate_host_standby: asd
profile::openstack::eqiad1::glance_host: asd
profile::openstack::eqiad1::keystone::admin_token: asdasd
profile::openstack::eqiad1::keystone::daemon_active: asd
profile::openstack::eqiad1::keystone::db_host: asd
profile::openstack::eqiad1::keystone::db_pass: asd
profile::openstack::eqiad1::keystone::db_user: asd
profile::openstack::eqiad1::keystone::token_driver: asd
profile::openstack::eqiad1::keystone::wiki_access_secret: asd
profile::openstack::eqiad1::keystone::wiki_access_token: asd
profile::openstack::eqiad1::keystone::wiki_consumer_secret: asd
profile::openstack::eqiad1::keystone::wiki_consumer_token: asd
profile::openstack::eqiad1::keystone::wiki_status_access_secret: asd
profile::openstack::eqiad1::keystone::wiki_status_access_token: asd
profile::openstack::eqiad1::keystone::wiki_status_consumer_secret: asd
profile::openstack::eqiad1::keystone::wiki_status_consumer_token: asd
profile::openstack::eqiad1::keystone_host: asd
profile::openstack::eqiad1::labs_hosts_range: asd
profile::openstack::eqiad1::labs_hosts_range_v6: 2620:0:861:118::/64
profile::openstack::eqiad1::labweb_hosts: asd
profile::openstack::eqiad1::ldap_hosts: asd
profile::openstack::eqiad1::ldap_user_pass: asd
profile::openstack::eqiad1::metrics::cache_file: /var/cache/prometheus-openstack-exporter/eqiad1
profile::openstack::eqiad1::metrics::cache_refresh_interval: 10
profile::openstack::eqiad1::metrics::cpu_allocation_ratio: 1.0
profile::openstack::eqiad1::metrics::disck_allocation_ratio: 1.0
profile::openstack::eqiad1::metrics::prometheus_listen_port: 12345
profile::openstack::eqiad1::metrics::ram_allocation_ratio: 1.0
profile::openstack::eqiad1::metrics::sched_disk_gbs: 2
profile::openstack::eqiad1::metrics::sched_ram_mbs: 4096
profile::openstack::eqiad1::metrics::sched_vcpu: 2
profile::openstack::eqiad1::neutron::rabbit_pass: user
profile::openstack::eqiad1::nova::db_pass: asd
profile::openstack::eqiad1::nova::fullstack_pass: eqiad1-fullstack-pass
profile::openstack::eqiad1::nova::rabbit_pass: xxxx
profile::openstack::eqiad1::nova_api_host: asd
profile::openstack::eqiad1::nova_controller: asd
profile::openstack::eqiad1::nova_controller_standby: asd
profile::openstack::eqiad1::observer_password: Fs6Dq2RtG8KwmM2Z
profile::openstack::eqiad1::osm_host: asd
profile::openstack::eqiad1::puppetmaster_hostname: asd
profile::openstack::eqiad1::rabbit_cleanup_pass: xxxx
profile::openstack::eqiad1::rabbit_file_handles: 8192
profile::openstack::eqiad1::rabbit_monitor_pass: xxxx
profile::openstack::eqiad1::rabbit_monitor_user: monitoring
profile::openstack::eqiad1::region: test
profile::openstack::eqiad1::second_region_designate_host: asd
profile::openstack::eqiad1::second_region_designate_host_standby: asd
profile::openstack::eqiad1::statsd_host: labmon1001.eqiad.wmnet
profile::openstack::eqiad1::statsd_host_standby: labmon1002.eqiad.wmnet
profile::openstack::eqiad1::version: mitaka
profile::openstack::main::nova_controller: asd
puppetmaster: openstack-puppetmaster-01.openstack.eqiad.wmflabs

This skeleton works (TM):

profile::openstack::base::designate::wmflabsdotorg_admin: asd
profile::openstack::base::designate::wmflabsdotorg_pass: asd
profile::openstack::base::designate::wmflabsdotorg_project: asd
profile::openstack::base::designate_host: asd
profile::openstack::base::designate_host_standby: asd
profile::openstack::base::glance::data_dir: /tmp/data
profile::openstack::base::glance::db_name: asdasd
profile::openstack::base::glance::db_user: asdasd
profile::openstack::base::glance::image_dir: /tmp/img
profile::openstack::base::keystone::admin_workers: 1
profile::openstack::base::keystone::auth_port: 443
profile::openstack::base::keystone::auth_protocol: asd
profile::openstack::base::keystone::daemon_active: false
profile::openstack::base::keystone::db_host: asd
profile::openstack::base::keystone::db_max_pool_size: 1
profile::openstack::base::keystone::db_name: asd
profile::openstack::base::keystone::db_pass: asd
profile::openstack::base::keystone::db_user: asd
profile::openstack::base::keystone::public_port: asd
profile::openstack::base::keystone::public_workers: 1
profile::openstack::base::keystone::token_driver: redis
profile::openstack::base::keystone::wiki_access_secret: asd
profile::openstack::base::keystone::wiki_access_token: asd
profile::openstack::base::keystone::wiki_consumer_secret: asd
profile::openstack::base::keystone::wiki_consumer_token: asd
profile::openstack::base::keystone::wiki_status_access_secret: asd
profile::openstack::base::keystone::wiki_status_access_token: asd
profile::openstack::base::keystone::wiki_status_consumer_secret: asd
profile::openstack::base::keystone::wiki_status_consumer_token: asd
profile::openstack::base::keystone::wiki_status_page_prefix: asd
profile::openstack::base::keystone_host: asd
profile::openstack::base::labs_hosts_range: asd
profile::openstack::base::labweb_hosts: asd
profile::openstack::base::ldap_base_dn: asd
profile::openstack::base::ldap_proxyuser_pass: Eche0ieng8UaNoo
profile::openstack::base::ldap_user_dn: asd
profile::openstack::base::ldap_user_id_attribute: asd
profile::openstack::base::ldap_user_name_attribute: asd
profile::openstack::base::ldap_user_pass: asd
profile::openstack::base::monitoring_host: labmon1001.eqiad.wmnet
profile::openstack::base::neutron::db_user: asdasd
profile::openstack::base::neutron::metadata_proxy_shared_secret: asdasd
profile::openstack::base::neutron::rabbit_user: neutronuser
profile::openstack::base::nova::compute_workers: 1
profile::openstack::base::nova::db_pass: asdasd
profile::openstack::base::nova::db_user: asdasd
profile::openstack::base::nova::metadata_workers: 2
profile::openstack::base::nova::rabbit_pass: user
profile::openstack::base::nova::rabbit_user: nova-rabbit-user
profile::openstack::base::nova::scheduler_pool:
- asd
profile::openstack::base::nova_api_host: asd
profile::openstack::base::nova_controller: asd
profile::openstack::base::nova_controller_standby: asd
profile::openstack::base::observer_project: observer
profile::openstack::base::observer_user: novaobserver
profile::openstack::base::osm_host: asd
profile::openstack::base::rabbit_pass: asdasd
profile::openstack::base::region: asd
profile::openstack::base::second_region_designate_host: asd
profile::openstack::base::second_region_designate_host_standby: asd
profile::openstack::base::version: asd
profile::openstack::eqiad1::all_regions:
- eqiad
- eqiad1-r
profile::openstack::eqiad1::designate::floating_ip_ptr_fqdn_matching_regex: asdasd
profile::openstack::eqiad1::designate::floating_ip_ptr_fqdn_replacement_pattern: asdasd
profile::openstack::eqiad1::designate::floating_ip_ptr_zone: asdasd
profile::openstack::eqiad1::designate::wmflabsdotorg_admin: asd
profile::openstack::eqiad1::designate::wmflabsdotorg_pass: asd
profile::openstack::eqiad1::designate::wmflabsdotorg_project: asd
profile::openstack::eqiad1::designate_host: asd
profile::openstack::eqiad1::designate_host_standby: asd
profile::openstack::eqiad1::glance::db_host: asdasd
profile::openstack::eqiad1::glance::db_pass: asdasd
profile::openstack::eqiad1::glance_host: asd
profile::openstack::eqiad1::keystone::admin_token: asdasd
profile::openstack::eqiad1::keystone::daemon_active: asd
profile::openstack::eqiad1::keystone::db_host: asd
profile::openstack::eqiad1::keystone::db_pass: asd
profile::openstack::eqiad1::keystone::db_user: asd
profile::openstack::eqiad1::keystone::token_driver: asd
profile::openstack::eqiad1::keystone::wiki_access_secret: asd
profile::openstack::eqiad1::keystone::wiki_access_token: asd
profile::openstack::eqiad1::keystone::wiki_consumer_secret: asd
profile::openstack::eqiad1::keystone::wiki_consumer_token: asd
profile::openstack::eqiad1::keystone::wiki_status_access_secret: asd
profile::openstack::eqiad1::keystone::wiki_status_access_token: asd
profile::openstack::eqiad1::keystone::wiki_status_consumer_secret: asd
profile::openstack::eqiad1::keystone::wiki_status_consumer_token: asd
profile::openstack::eqiad1::keystone_host: asd
profile::openstack::eqiad1::labs_hosts_range: asdasd
profile::openstack::eqiad1::labs_hosts_range_v6: 2620:0:861:118::/64
profile::openstack::eqiad1::labweb_hosts:
- asd
profile::openstack::eqiad1::ldap_hosts:
- ldap-labs.eqiad.wikimedia.org
- ldap-labs.codfw.wikimedia.org
profile::openstack::eqiad1::ldap_user_pass: asd
profile::openstack::eqiad1::metrics::cache_file: /var/cache/prometheus-openstack-exporter/eqiad1
profile::openstack::eqiad1::metrics::cache_refresh_interval: 10
profile::openstack::eqiad1::metrics::cpu_allocation_ratio: 1.0
profile::openstack::eqiad1::metrics::disck_allocation_ratio: 1.0
profile::openstack::eqiad1::metrics::prometheus_listen_port: 12345
profile::openstack::eqiad1::metrics::ram_allocation_ratio: 1.0
profile::openstack::eqiad1::metrics::sched_disk_gbs: 2
profile::openstack::eqiad1::metrics::sched_ram_mbs: 4096
profile::openstack::eqiad1::metrics::sched_vcpu: 2
profile::openstack::eqiad1::neutron::agent_down_time: 10
profile::openstack::eqiad1::neutron::db_host: asdasd
profile::openstack::eqiad1::neutron::db_pass: asdasd
profile::openstack::eqiad1::neutron::log_agent_heartbeats: true
profile::openstack::eqiad1::neutron::metadata_proxy_shared_secret: asdasd
profile::openstack::eqiad1::neutron::rabbit_pass: asdasd
profile::openstack::eqiad1::neutron::tld: asdasd
profile::openstack::eqiad1::nova::db_host: asdasd
profile::openstack::eqiad1::nova::db_name: asdasd
profile::openstack::eqiad1::nova::db_name_api: asdasd
profile::openstack::eqiad1::nova::db_pass: asdasd
profile::openstack::eqiad1::nova::fullstack_pass: asdasd
profile::openstack::eqiad1::nova::instance_network_id: asdasd
profile::openstack::eqiad1::nova::rabbit_pass: asdasd
profile::openstack::eqiad1::nova::scheduler_pool:
- asdasd
profile::openstack::eqiad1::nova_api_host: asdasd
profile::openstack::eqiad1::nova_controller: asdasd
profile::openstack::eqiad1::nova_controller_standby: asd
profile::openstack::eqiad1::observer_password: Fs6Dq2RtG8KwmM2Z
profile::openstack::eqiad1::osm_host: asd
profile::openstack::eqiad1::puppetmaster_hostname: asd
profile::openstack::eqiad1::rabbit_cleanup_pass: xxxx
profile::openstack::eqiad1::rabbit_file_handles: 8192
profile::openstack::eqiad1::rabbit_monitor_pass: xxxx
profile::openstack::eqiad1::rabbit_monitor_user: monitoring
profile::openstack::eqiad1::region: test
profile::openstack::eqiad1::second_region_designate_host: asd
profile::openstack::eqiad1::second_region_designate_host_standby: asd
profile::openstack::eqiad1::statsd_host: labmon1001.eqiad.wmnet
profile::openstack::eqiad1::statsd_host_standby: labmon1002.eqiad.wmnet
profile::openstack::eqiad1::version: mitaka
profile::openstack::main::nova_controller: asd
puppetmaster: openstack-puppetmaster-01.openstack.eqiad.wmflabs

Change 489275 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: add keystone support for mitaka/stretch in cloudcontrol servers

https://gerrit.wikimedia.org/r/489275

Change 489275 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: add keystone support for mitaka/stretch in cloudcontrol servers

https://gerrit.wikimedia.org/r/489275

Change 489275 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: add keystone support for mitaka/stretch in cloudcontrol servers

https://gerrit.wikimedia.org/r/489275

aborrero updated the task description. (Show Details)Mar 20 2019, 2:06 PM
GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:06 PM

Change 499806 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: add glance support for mitaka/stretch in cloudcontrol servers

https://gerrit.wikimedia.org/r/499806

Change 499806 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: add glance support for mitaka/stretch in cloudcontrol servers

https://gerrit.wikimedia.org/r/499806

aborrero updated the task description. (Show Details)Thu, Mar 28, 5:32 PM

Change 499840 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: add nova support for mitaka/stretch in cloudcontrol servers

https://gerrit.wikimedia.org/r/499840

Change 499840 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: add nova support for mitaka/stretch in cloudcontrol servers

https://gerrit.wikimedia.org/r/499840

Change 499992 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: add mitaka/stretch support for neutron server in cloudcontrol

https://gerrit.wikimedia.org/r/499992

Change 499992 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: add mitaka/stretch support for neutron server in cloudcontrol

https://gerrit.wikimedia.org/r/499992

aborrero updated the task description. (Show Details)Fri, Mar 29, 11:25 AM

Change 500014 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: keystone: mitaka: stretch: use python-pyldap instead of python-ldap

https://gerrit.wikimedia.org/r/500014

Change 500014 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: keystone: mitaka: stretch: use python-pyldap instead of python-ldap

https://gerrit.wikimedia.org/r/500014

aborrero updated the task description. (Show Details)Fri, Mar 29, 12:31 PM

Apparently all is done. I will try installing now cloudcontrol2001-dev as mitaka/stretch (currently spare as noted in T217891: CloudVPS: rework codfw deployments)

Change 500444 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: admin_scripts: libvirt-bin doesn't exists in stretch

https://gerrit.wikimedia.org/r/500444

Change 500444 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: admin_scripts: libvirt-bin doesn't exists in stretch

https://gerrit.wikimedia.org/r/500444

Change 500642 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] admin_scripts: add a case for Trusty

https://gerrit.wikimedia.org/r/500642

Change 500642 merged by Andrew Bogott:
[operations/puppet@production] admin_scripts: add a case for Trusty

https://gerrit.wikimedia.org/r/500642

Change 500691 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] serverpackages: mitaka: stretch: additional pinning fixes

https://gerrit.wikimedia.org/r/500691

Change 500691 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] serverpackages: mitaka: stretch: additional pinning fixes

https://gerrit.wikimedia.org/r/500691

Change 500701 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: serverpackages: stretch: don't install python-sphinx from our repo

https://gerrit.wikimedia.org/r/500701

Change 500701 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: serverpackages: stretch: don't install python-sphinx from our repo

https://gerrit.wikimedia.org/r/500701

Change 500706 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: serverpackages: stretch: factorize negative apt pinning

https://gerrit.wikimedia.org/r/500706

Change 500706 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: serverpackages: stretch: factorize negative apt pinning

https://gerrit.wikimedia.org/r/500706

Change 503279 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: keystone: stretch: use python-openssl from stretch

https://gerrit.wikimedia.org/r/503279

Change 503279 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: keystone: stretch: use python-openssl from stretch

https://gerrit.wikimedia.org/r/503279

Change 503284 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] openstack: virt: reallocate libssl1.0.0 package exclusion

https://gerrit.wikimedia.org/r/503284

Change 503284 merged by Arturo Borrero Gonzalez:
[operations/puppet@production] openstack: virt: reallocate libssl1.0.0 package exclusion

https://gerrit.wikimedia.org/r/503284